CruiseControl.rb Ruby 1.9.1 compatibility?

Hi all,

I'm trying to add a CruiseControl.rb 1.4.0 project under Ruby 1.9.1p378
and getting an error that seems to indicate the vendored version of
Rails isn't compatible with 1.9 (using the old when syntax with a
colon). Stacktrace below. I'm a bit confused though as I thought this
version of CC.rb was compatible with 1.9. Am I doing something wrong
here?

/export/home/users/ci/cruisecontrol-1.4.0/vendor/rails/activesupport/lib/active_support.rb:29:in
`require':
/export/home/users/ci/cruisecontrol-1.4.0/vendor/rails/activesupport/lib/active_support/inflector.rb:266:
syntax error, unexpected ':', expecting keyword_then or ',' or ';' or
'\n' (SyntaxError)
        when 1: "#{number}st"
               ^
/export/home/users/ci/cruisecontrol-1.4.0/vendor/rails/activesupport/lib/active_support/inflector.rb:267:
syntax error, unexpected keyword_when, expecting keyword_end
        when 2: "#{number}nd"
            ^
/export/home/users/ci/cruisecontrol-1.4.0/vendor/rails/activesupport/lib/active_support/inflector.rb:268:
syntax error, unexpected keyword_when, expecting keyword_end
        when 3: "#{number}rd"
            ^
/export/home/users/ci/cruisecontrol-1.4.0/vendor/rails/activesupport/lib/active_support/inflector.rb:273:
syntax error, unexpected keyword_end, expecting $end
        from
/export/home/users/ci/cruisecontrol-1.4.0/vendor/rails/activesupport/lib/active_support.rb:29:in
`<top (required)>'
        from
/export/home/users/ci/cruisecontrol-1.4.0/vendor/rails/actionpack/lib/action_controller.rb:30:in
`require'
        from
/export/home/users/ci/cruisecontrol-1.4.0/vendor/rails/actionpack/lib/action_controller.rb:30:in
`<top (required)>'
        from
/export/home/users/ci/cruisecontrol-1.4.0/vendor/rails/railties/lib/initializer.rb:162:in
`require'
        from
/export/home/users/ci/cruisecontrol-1.4.0/vendor/rails/railties/lib/initializer.rb:162:in
`block in require_frameworks'
        from
/export/home/users/ci/cruisecontrol-1.4.0/vendor/rails/railties/lib/initializer.rb:162:in
`each'
        from
/export/home/users/ci/cruisecontrol-1.4.0/vendor/rails/railties/lib/initializer.rb:162:in
`require_frameworks'
        from
/export/home/users/ci/cruisecontrol-1.4.0/vendor/rails/railties/lib/initializer.rb:83:in
`process'
        from
/export/home/users/ci/cruisecontrol-1.4.0/vendor/rails/railties/lib/initializer.rb:43:in
`run'
        from
/export/home/users/ci/cruisecontrol-1.4.0/config/environment.rb:15:in
`<top (required)>'
        from
/export/home/users/ci/cruisecontrol-1.4.0/lib/cruise_control/../../script/add_project:69:in
`require'
        from
/export/home/users/ci/cruisecontrol-1.4.0/lib/cruise_control/../../script/add_project:69:in
`<top (required)>'
        from
/export/home/users/ci/cruisecontrol-1.4.0/lib/cruise_control/init.rb:43:in
`load'
        from
/export/home/users/ci/cruisecontrol-1.4.0/lib/cruise_control/init.rb:43:in
`add'
        from
/export/home/users/ci/cruisecontrol-1.4.0/lib/cruise_control/init.rb:10:in
`run'
        from ./cruise:5:in `<main>'